package com.caimei365.user.model.po;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author zzj
 * 超级会员
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SuperVipPo extends VipPayHistoryPo implements Serializable {

    /**
     *     CREATE TABLE `cm_svip_user`(
     *          `id` INT NOT NULL AUTO_INCREMENT,
     *          `userId` bigint(11) DEFAULT NULL COMMENT '用户ID',
     *          `beginTime` DATETIME DEFAULT NULL COMMENT '生效时间',
     *          `endTime` DATETIME DEFAULT NULL COMMENT '到期时间',
     *          `delFlag` CHAR(1) DEFAULT '0' COMMENT '删除标记 0否，其余是',
     *          `updateTime` DATETIME DEFAULT NULL COMMENT '更新时间',
     *          PRIMARY KEY (`id`)
     *     ) ENGINE=INNODB CHARSET=utf8mb4 COMMENT='超级会员用户表';
     */

    private Integer userId;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date beginTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;
    private Integer delFlag;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
}
