package com.caimei365.user.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class ClubChangeSpVo implements Serializable {
    private Integer clubChangeSpRecordID;// 会所更换创客Id
    private Integer clubID;   // 会所ID
    private Integer oldSpID;  // 旧的创客ID
    private Integer newSpID;  // 新的创客ID
    private String checkStatus;// 审核状态(-1：已拒绝，0：待审核，1：已通过)
    private Date checkTime; // 审核时间
    private Date applyTime; // 申请时间
    private String checkMark;//审核备注
    private Integer checkUserID;//审核人
    private Integer choseServiceId;//分配人协销Id

    // 会所表中
    private String address;   // 会所地址
    private String clubName;  // 会所名称
    private String clubStatus; // 会所状态(1：待审查资料，90：已上线，91：已冻结，92：待审核，2：电话预约，20：待确认，21：待拜访，3：已预约，30：待员工推荐，)
    private String contractMobile;//会所联系手机
    private Date addTime;// 添加时间
    private Date auditTime;//审核时间
    // 创客表中
    private String linkMan;  // 申请创客姓名(创客联系名字)
    private String spName;    // 定点创客姓名(创客名字)

    // 用户表
    private String userName;// 用户名
    private String userLevelID;//用户级别ID（1：普通会员，2：	银卡会员，3：金卡会员，4：白金卡会员，5：钻石卡会员）
}
